org.apache.felix.resolver.util

## Class ArrayMap<K,V>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - org.apache.felix.resolver.util.ArrayMap<K,V>

All Implemented Interfaces:
  Map<K,V>

    public class ArrayMap<K,V>
    extends AbstractMap<K,V>

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

### Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K,V>`

### Field Summary

Fields
`protected Collection<V>` `values`

### Constructor Summary

Constructors
Constructor and Description
`ArrayMap()`
`ArrayMap(int capacity)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected V` `compute(K key)`
`Set<Map.Entry<K,V>>` `entrySet()`
`V` `get(Object key)`
`V` `getOrCompute(K key)`
`V` `put(K key, V value)`
`Collection<V>` `values()`

### Methods inherited from class java.util.AbstractMap

`clear, clone, containsKey, containsValue, equals, hashCode, isEmpty, keySet, putAll, remove, size, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

### Field Detail

#### values

    protected transient Collection<V> values

### Constructor Detail

#### ArrayMap

    public ArrayMap()

#### ArrayMap

    public ArrayMap(int capacity)

### Method Detail

#### get

    public V get(Object key)

Specified by:
  `get` in interface `Map<K,V>`
Overrides:
  `get` in class `AbstractMap<K,V>`

#### put

    public V put(K key,
                 V value)

Specified by:
  `put` in interface `Map<K,V>`
Overrides:
  `put` in class `AbstractMap<K,V>`

#### getOrCompute

    public V getOrCompute(K key)

#### compute

    protected V compute(K key)

#### values

    public Collection<V> values()

Specified by:
  `values` in interface `Map<K,V>`
Overrides:
  `values` in class `AbstractMap<K,V>`

#### entrySet

    public Set<Map.Entry<K,V>> entrySet()

Specified by:
  `entrySet` in interface `Map<K,V>`
Specified by:
  `entrySet` in class `AbstractMap<K,V>`